com.sun.jna.platform.unix

## Interface X11.Xrender

- All Superinterfaces:
    Library
  Enclosing interface:
    X11

      public static interface X11.Xrender
      extends Library

  Definition (incomplete) of the Xrender library.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `X11.Xrender.PictFormat`
    `static class` | `X11.Xrender.XRenderDirectFormat`
    `static class` | `X11.Xrender.XRenderPictFormat`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static X11.Xrender` | `INSTANCE`
    `static int` | `PictTypeDirect`
    `static int` | `PictTypeIndexed`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `X11.Xrender.XRenderPictFormat` | `XRenderFindVisualFormat(X11.Display display, X11.Visual visual)`

- - ### Field Detail

    - #### INSTANCE

          static final X11.Xrender INSTANCE

    - #### PictTypeIndexed

          static final int PictTypeIndexed

      See Also:
        Constant Field Values

    - #### PictTypeDirect

          static final int PictTypeDirect

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### XRenderFindVisualFormat

          X11.Xrender.XRenderPictFormat XRenderFindVisualFormat(X11.Display display,
                                                              X11.Visual visual)

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.